%define version	20071231
%define number	1.2.1
%define release	%mkrel 1
%define major	31
%define fname	geda
%define name 	libgeda
%define libname %mklibname %{fname} %{major}

Summary: 	Libraries for the gEDA project
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source:		ftp://ftp.geda.seul.org/pub/geda/dist/%{name}-%{number}.tar.gz
Url:		http://www.geda.seul.org
License:	LGPL 
Group: 		System/Libraries
BuildRequires:	libguile-devel
BuildRequires:  libglib-devel
BuildRequires:  gtk+2-devel
BuildRoot:  	%{_tmppath}/%{name}-%{version}

%description
This package contains libgeda%{major} (library needed by gEDA applications).

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%package -n %libname
Summary: Libraries for the gEDA project
Group:      System/Libraries
Provides:	%name = %version-%release
Requires:	%name-data

%description -n %libname
This package contains libgeda%{major} (library needed by gEDA applications).

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%package -n %libname-devel
Summary:    Development libraries for the gEDA project
Group:     Development/Other
Provides: %name-devel = %version-%release
Requires: %{libname} = %version

%description -n %libname-devel
This package contains libgeda%{major} development libraries needed
by gEDA applications) and the necessary header files for development.

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%package -n %name-data
Summary:	Static data from %name
Group:		System/Libraries

%description -n %name-data
This packages contains some help files and other
static stuf.

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%prep
%setup -q -n %name-%number

%build

%configure

%make

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall prologdatadir=%buildroot%_datadir/gEDA rcdatadir=%buildroot%_datadir/gEDA scmdatadir=%buildroot%_datadir/gEDA/scheme

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -Rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/libgeda.so.%major
%{_libdir}/libgeda.so.%major.0.1

%files -n %libname-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libgeda.so
%{_libdir}/libgeda.a
%{_libdir}/libgeda.la
%{_libdir}/pkgconfig/%name.pc
%dir %{_includedir}/libgeda
%{_includedir}/libgeda/*

%files -n %name-data
%defattr(-,root,root)
%dir %_datadir/gEDA
%_datadir/gEDA/prolog.ps
%_datadir/gEDA/scheme/geda.scm
%_datadir/gEDA/system-gafrc


%changelog
* Sun Jan 06 2008 trem <trem@mandriva.org> 20071231-1mdv2008.1
+ Revision: 146059
- don't use version number (1.2.1), use the date isntead (20071231)
- update to 1.2.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 19 2007 Olivier Thauvin <nanardon@mandriva.org> 20070216-1mdv2008.0
+ Revision: 28537
- 20070216


* Sun Jan 21 2007 Olivier Thauvin <nanardon@mandriva.org> 20061020-2mdv2007.0
+ Revision: 111201
- rebuild for guile

* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 20061020-1mdv2007.1
+ Revision: 93923
- v 20061020

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-3mdv2007.0
+ Revision: 53582
- rebuild
- Import libgeda

* Mon Jul 03 2006 Emmanuel Andry <eandry@mandriva.org> 20060123-2mdv2007.0
- rebuild for libpng

* Sun May 14 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-1mdk
- 20060123

* Thu Nov 24 2005 Lenny Cartier <lenny@mandriva.com> 20050820-2mdk
- rebuild for dependencies

* Wed Oct 05 2005 Olivier Thauvin <nanardon@mandriva.org> 20050820-1mdk
- 20050820
- spec cleanup
- remove no longer patch1, hack

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 20050313-2mdk
- Fix BuildRequires

* Wed Jul 06 2005 Lenny Cartier <lenny@mandriva.com> 20050313-1mdk
- 20050313

* Tue Apr 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20040111-1mdk
- 20040111

